Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: ladspa_sdk pkgconfig(alsa)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:    DSSI implementation of Fluidsynth
Name:       fluidsynth-dssi
Version:    1.0.0
Release:    alt2_24
License:    GPLv2+
URL:        http://dssi.sourceforge.net/download.html#FluidSynth-DSSI
Source0:    http://download.sf.net/dssi/fluidsynth-dssi-%{version}.tar.gz
# Add Fedora's default soundfont path to the scanlist:
Patch0:     fluidsynth-dssi-sf2path.patch
# Fluidsynth 1 and 2 support
Patch1:     fluidsynth-dssi-fluidsynth1and2.patch
Requires:   dssi

BuildRequires: gcc
BuildRequires: dssi-devel
BuildRequires: libfluidsynth-devel
BuildRequires: gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires: liblo-devel
Source44: import.info

%description
This is an implementation of the FluidSynth soundfont-playing software
synthesizer as a DSSI plugin. It makes use of DSSI's run_multiple_synths()
interface to allow sharing of resources between multiple plugin instances --
soundfont data is shared between instances, and FluidSynth's usual voice
allocation methods are applied across multiple instances as if each were a
FluidSynth channel.

%prep
%setup -q
%patch0 -p1 -b .sf2path
%patch1 -p1 -b .fl1and2

%build
%configure
%make_build

%install
make install DESTDIR="$RPM_BUILD_ROOT"
rm $RPM_BUILD_ROOT%{_libdir}/dssi/fluidsynth-dssi.la

%files
%doc ChangeLog README TODO
%doc --no-dereference COPYING
%{_libdir}/dssi/fluidsynth-dssi*

%changelog
* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.0.0-alt2_24
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.0.0-alt1_24
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_23
- update to new release by fcimport

